Page MenuHomePhabricator

[libomptarget] Added install component for libomptarget
ClosedPublic

Authored by vzakhari on Dec 27 2018, 11:28 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

vzakhari created this revision.Dec 27 2018, 11:28 AM
Hahnfeld edited subscribers, added: openmp-commits; removed: llvm-commits.Dec 28 2018, 3:53 AM

Can you explain the benefit of this change? I would have expected a target like install-omptarget, but applying this patch locally didn't change anything visible.

Also, please submit your patch with full context according to LLVM's documentation: https://www.llvm.org/docs/Phabricator.html#requesting-a-review-via-the-web-interface

vzakhari updated this revision to Diff 179648.Dec 28 2018, 9:57 AM

Can you explain the benefit of this change? I would have expected a target like install-omptarget, but applying this patch locally didn't change anything visible.

This change allows running cmake as:
cmake -DCMAKE_INSTALL_COMPONENT=omptarget -P cmake_install.cmake
which will install only libomptarget and no other components. This command allows installing only selected/required components instead of installing everyting that was built.

Also, please submit your patch with full context according to LLVM's documentation: https://www.llvm.org/docs/Phabricator.html#requesting-a-review-via-the-web-interface

Sorry for that. I uploaded it the right way this time.

Hahnfeld accepted this revision.Jan 2 2019, 12:30 AM

Thanks for the explanation, that sounds useful.

This revision is now accepted and ready to land.Jan 2 2019, 12:30 AM
This revision was automatically updated to reflect the committed changes.